Actualizar valores por defecto de CUIT
curl --request PUT \
--url https://facture.ar/api/cuits/{cuitId}/defaults \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"defaultInvoiceType": 123,
"defaultDocTipo": 123,
"defaultDocNro": 123,
"defaultIvaType": 123
}
'const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
defaultInvoiceType: 123,
defaultDocTipo: 123,
defaultDocNro: 123,
defaultIvaType: 123
})
};
fetch('https://facture.ar/api/cuits/{cuitId}/defaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://facture.ar/api/cuits/{cuitId}/defaults"
payload = {
"defaultInvoiceType": 123,
"defaultDocTipo": 123,
"defaultDocNro": 123,
"defaultIvaType": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://facture.ar/api/cuits/{cuitId}/defaults",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'defaultInvoiceType' => 123,
'defaultDocTipo' => 123,
'defaultDocNro' => 123,
'defaultIvaType' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"cuitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultInvoiceType": 123,
"defaultDocTipo": 123,
"defaultDocNro": 123,
"defaultIvaType": 123,
"defaultCurrency": "ARS"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}CUITs
Actualizar valores por defecto de CUIT
Actualiza los valores por defecto para un CUIT específico.
PUT
/
cuits
/
{cuitId}
/
defaults
Actualizar valores por defecto de CUIT
Authorizations
API Key para autenticación. Formato: test_sk_xxx para testing, prod_sk_xxx para producción.
Path Parameters
ID del CUIT
Body
application/json
Response
Valores por defecto actualizados exitosamente
ID del CUIT
Tipo de factura por defecto
Tipo de documento por defecto
Número de documento por defecto
Tipo de IVA por defecto
Moneda por defecto
Available options:
ARS, USD